Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.colorspace
Class CMYKColorSpace

    java.lang.Object
      java.awt.color.ColorSpace
          com.sun.pdfview.colorspace.CMYKColorSpace

All Implemented Interfaces:
  java.io.Serializable

    public class CMYKColorSpace

extends java.awt.color.ColorSpace

A ColorSpace for the CMYK color space.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.color.ColorSpace
`CS_CIEXYZ, CS_GRAY, CS_LINEAR_RGB, CS_PYCC, CS_sRGB, TYPE_2CLR, TYPE_3CLR, TYPE_4CLR, TYPE_5CLR, TYPE_6CLR, TYPE_7CLR, TYPE_8CLR, TYPE_9CLR, TYPE_ACLR, TYPE_BCLR, TYPE_CCLR, TYPE_CMY, TYPE_CMYK, TYPE_DCLR, TYPE_ECLR, TYPE_FCLR, TYPE_GRAY, TYPE_HLS, TYPE_HSV, TYPE_Lab, TYPE_Luv, TYPE_RGB, TYPE_XYZ, TYPE_YCbCr, TYPE_Yxy`

Constructor Summary
`CMYKColorSpace()` create a new CMYK color space: a ColorSpace with 4 components

Method Summary
`float[]` | `fromCIEXYZ(float[] colorvalue)` Convert from CIEXYZ to RGB.
`float[]` | `fromRGB(float[] rgbvalue)` Convert from RGB to CMYK.
`java.lang.String` | `getName(int idx)` the name of this color space
`int` | `getNumComponents()` the number of components
`int` | `getType()` the type of this color space (TYPE_CMYK)
`float[]` | `toCIEXYZ(float[] colorvalue)` Convert from CMYK to CIEXYZ.
`float[]` | `toRGB(float[] colorvalue)` Convert from CMYK to RGB.

Methods inherited from class java.awt.color.ColorSpace
`getInstance, getMaxValue, getMinValue, isCS_sRGB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMYKColorSpace

    public CMYKColorSpace()

  create a new CMYK color space: a ColorSpace with 4 components

Method Detail

### fromCIEXYZ

    public float[] fromCIEXYZ(float[] colorvalue)

  Convert from CIEXYZ to RGB.

  Specified by:
    `fromCIEXYZ` in class `java.awt.color.ColorSpace`

### fromRGB

    public float[] fromRGB(float[] rgbvalue)

  Convert from RGB to CMYK.

  Specified by:
    `fromRGB` in class `java.awt.color.ColorSpace`
  Parameters:
    `rgbvalue` - the red, green, and blue values (0-1)
  Returns:
    the CMYK values (0-1)

### getNumComponents

    public int getNumComponents()

  the number of components

  Overrides:
    `getNumComponents` in class `java.awt.color.ColorSpace`

### getName

    public java.lang.String getName(int idx)

  the name of this color space

  Overrides:
    `getName` in class `java.awt.color.ColorSpace`

### getType

    public int getType()

  the type of this color space (TYPE_CMYK)

  Overrides:
    `getType` in class `java.awt.color.ColorSpace`

### toCIEXYZ

    public float[] toCIEXYZ(float[] colorvalue)

  Convert from CMYK to CIEXYZ.

  Specified by:
    `toCIEXYZ` in class `java.awt.color.ColorSpace`

### toRGB

    public float[] toRGB(float[] colorvalue)

  Convert from CMYK to RGB.

  Specified by:
    `toRGB` in class `java.awt.color.ColorSpace`
  Parameters:
    `colorvalue` - the CMYK values (0-1)
  Returns:
    the RGB values (0-1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD